Subject: Re: [PATCH v4] last-modified: implement faster algorithm

From: Toon Claes <[email-masked]>
Date: Tue, 04 Nov 2025 16:08:43 +0100

Junio C Hamano <[email-masked]> writes:

> Toon Claes <[email-masked]> writes:
>
>> Changes in v4:
>> - Use CALLOC_ARRAY() instead of xcalloc() as identified by Junio using
>>   'make coccicheck'.
>> - Small formatting changes.
>> - Link to v3: https://lore.kernel.org/all/[email-masked]
>
> Sorry, but this came way after I started today's integration cycle,

No worries.

> which included merging the fixed-up version to 'next'.

Well, thank you.

> I saw some
> "let's drop {} around the body of if/for with a single statement"
> changes but each of these single statements was not a simple
> statement but an if-statement, and personally I feel that it is
> clearer to enclose them in {} (in other words, once the code is
> written in that way, it is not worth the patch noise to go and fix
> them).

Understood.

> The only regrettable thing without v4 is the double space
> between ") {" in the second hunk below X-<, but perhaps it is minor
> enough to leave it to the next person who touches the vicinity of
> this code ;-). If you feel strongly about them, please send in an
> incremental updates, but as I said, I do not think it is necessary.

It remained undiscovered by various reviewers and myself. I only noticed
because I saw CI style-check mention this (also the reason I touched the
{} on the for loops). So I don't mind leaving it this way.

> Thanks.

<3

-- 
Cheers,
Toon